SSH-CONV(1)

NAME
ssh-conv - script to convert OpenSSH/SSH2 keys to lsh format

SYNOPSIS
ssh-conv [OPTION...]

DESCRIPTION
CAUTION! The information in this manpage may be invalid or outdated. For authorative information on lsh, please see it's Texinfo manual (see the SEE ALSO section).

Converts an OpenSSH style public key to spki format used by lsh. Reads the key from stdin and outputs the converted key on stdout.

Example usage:

$ ssh-conv < /home/pont/.ssh/id_dsa.pub
lsh-decode-key: lsh-decode-key: Reading key of type ssh-dss...
{KDEwOnB1YmxpYy1rZXkoMzpkc2EoMTpwMTI5OgD1qRFBMowgnnOzjOp3HptHWf9836wy/3
 F59d8DfWWehKgy8DNISgmzCnRNXReL/5PvTZwFID2KvEYfyxAYy4uTSJbtkzDfsicGWi7n
 YbXu2VpWHpNdhsaKrEu9iXmQb4JoN1grC0QsaCZrngACZRKEAklPH9ubwCMBK55yRP27gy
 koMTpxMjE6AIoOrpe064y7L2oYQqBE3sNskW19KSgxOmcxMjg6Olyu4xMIWsUBeVnbg2oU
 BvvbcsnHHhHyDVHmMZ1ERhDCLl6gjIsbWjBIBIXZUaFJ6AO236CfgdM5Rop5XYmcIIA9G7
 QD2GWTe48MGdjFQVyr2SKoDiNFKSJXqHVYzZJeosvz6FyTDt7aGNGqcL0tG7GXl9savALt
 RSQRfO9JlOcpKDE6eTEyOToAwyzp6sIt6KsLhFoeM9ADA7opHq4lFT6bS8su9g3KBGqGG4
 JNsEN9CI5SnLpqsfVm5SxmqPMPJvdGVOqAjjfzsv7SvfhSBUHXYeYpgci49pfc5bZCh/EY
 zX7bVnOVV3gQgNGeT0FN1gf9vTUMKh1VGPRfm7unXNqjBLEMYmlRwqcpKSk=}
$

OPTIONS

--decode-with PROGRAM-NAME
    The program to use for the actual decoding.

REPORTING BUGS
Report bugs to <bug-lsh@gnu.org>.

COPYING
The lsh suite of programs is distributed under the GNU General Public License; see the COPYING and AUTHORS files in the source distribution for details.

AUTHOR
The lsh program suite is written mainly by Niels Möller <nisse@lysator.liu.se>.

This man-page was written for lsh 2.0 by Pontus Freyhult <pont_lsh@soua.net>, it is based on a template written by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>.

SEE ALSO
lsftp(1), lshg(1), lsh-authorize(1), lsh-decode-key(1), lsh-decrypt-key(1), lsh-export-key(1), lsh-keygen(1), lsh-make-seed(1), lsh-upgrade(1), lsh-upgrade-key(1), lsh-writekey(1), lshd(8)

The full documentation for lsh is maintained as a Texinfo manual. If the info and lsh programs are properly installed at your site, the command

    info lsh

should give you access to the complete manual.